{{page-title (t "pages.sup-organization-participants.page-title")}}
<div class="organization-participant-list-page sup-organization-participant-list-page">
  <SupOrganizationParticipant::HeaderActions @participantCount={{@model.meta.participantCount}} />

  <SupOrganizationParticipant::List
    @students={{@model}}
    @searchFilter={{this.search}}
    @studentNumberFilter={{this.studentNumber}}
    @groupsFilter={{this.groups}}
    @certificabilityFilter={{this.certificability}}
    @onFilter={{this.triggerFiltering}}
    @onClickLearner={{this.goToLearnerPage}}
    @onResetFilter={{this.onResetFilter}}
    @participationCountOrder={{this.participationCountOrder}}
    @sortByParticipationCount={{this.sortByParticipationCount}}
  />
</div>